Bug 117812 - Incorrect spaces are inserted before the punctuation marks (when cutting and pasting)
Summary: Incorrect spaces are inserted before the punctuation marks (when cutting and ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2018-05-26 00:26 UTC by Dimitry Perov
Modified: 2019-11-23 14:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Perov 2018-05-26 00:26:51 UTC
Description:
When you move words (Ctrl-X, Ctrl-V), spaces are inserted correctly between words. But when you insert a word before the punctuation mark, the space is inserted between the word and the punctuation mark, not between words.

Steps to Reproduce:
1. Type: "Sator Arepo tenet opera rotas."
2. Double-click the word "tenet"
3. Press Ctrl-X
4. Move cursor between "s" and dot
5. Press Ctrl-V

Actual Results:  
Sator Arepo opera rotastenet .

Expected Results:
Sator Arepo opera rotas tenet.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Dieter 2018-05-27 16:15:29 UTC
Reproducible for me with

Version: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: de-DE (de_DE); Calc: CL

But LO always adds a space at the end of the word, if you paste i in this way. So I'm not sure, if it is possible to modify the behaviour only for the special case of a punctuation mark.
Comment 2 Dimitry Perov 2018-05-27 16:31:01 UTC
(In reply to Dieter Praas from comment #1)
> But LO always adds a space at the end of the word, if you paste i in this
> way. So I'm not sure, if it is possible to modify the behaviour only for the
> special case of a punctuation mark.

A space is added between words, right or left, according the cursor position. If the cursor is after "a" (opera) or before "r" (rotas), the result will be the same (Sator Arepo opera tenet rotas).
Comment 3 Dieter 2018-05-27 16:56:25 UTC
(In reply to Dimitry Perov from comment #2) 
> A space is added between words, right or left, according the cursor
> position. If the cursor is after "a" (opera) or before "r" (rotas), the
> result will be the same (Sator Arepo opera tenet rotas).

You're right, sorry. And if you past it within a word, free space left and right is added. So it should be possible to fix the bug.
Comment 4 Xisco Faulí 2018-05-31 15:56:57 UTC
Also reproduced in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 QA Administrators 2019-06-01 02:49:24 UTC
Dear Dimitry Perov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug